## kglobalaccel 5.100.0

=== debian/changelog ===
kglobalaccel (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:02 +0100

kglobalaccel (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.98.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:44 +0200

kglobalaccel (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:35 +0200

kglobalaccel (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Refresh lintian overrides.
  * Update symbols from build for 5.96.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:04 +0200

kglobalaccel (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update build dependencies according to the upstream build system.
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kglobalaccel (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove the unused debian/meta/ stuff.
  * Remove inactive Uploaders.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * CI: enable again the blhc job.
  * Remove the unused ${shlibs:Depends} substvar from libkf5globalaccel-data.
  * Run the test suite at build time, as it seems to pass:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2022 10:32:41 +0200

kglobalaccel (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:46 +0200

kglobalaccel (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Refresh lintian override for libkf5globalaccel5.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100
