=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
-               libkf5config-dev (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
-               libkf5crash-dev (>= 5.100.0~),
-               libkf5dbusaddons-dev (>= 5.100.0~),
-               libkf5windowsystem-dev (>= 5.100.0~),
+               extra-cmake-modules (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5crash-dev (>= 5.101.0~),
+               libkf5dbusaddons-dev (>= 5.101.0~),
+               libkf5windowsystem-dev (>= 5.101.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
