=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.101.0~),
-               libkf5config-dev (>= 5.101.0~),
-               libkf5coreaddons-dev (>= 5.101.0~),
-               libkf5crash-dev (>= 5.101.0~),
-               libkf5dbusaddons-dev (>= 5.101.0~),
-               libkf5windowsystem-dev (>= 5.101.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               libkf5config-dev (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
+               libkf5crash-dev (>= 5.103.0~),
+               libkf5dbusaddons-dev (>= 5.103.0~),
+               libkf5windowsystem-dev (>= 5.103.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -29,7 +29,7 @@
                qttools5-dev-tools,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kglobalaccel
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel.git
@@ -51,7 +51,7 @@
 Package: libkf5globalaccel-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Configurable global shortcut support.
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
@@ -68,7 +68,7 @@
          libkf5globalaccelprivate5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5globalaccel-doc (= ${source:Version})
+Recommends: libkf5globalaccel-doc (= ${source:Version}),
 Description: development files for kglobalaccel
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
@@ -80,7 +80,7 @@
 Package: libkf5globalaccel-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Configurable global shortcut support (documentation)
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
@@ -96,7 +96,7 @@
 Depends: libkf5globalaccel-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5globalaccel-bin (= ${binary:Version})
+Recommends: libkf5globalaccel-bin (= ${binary:Version}),
 Description: Configurable global shortcut support.
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
@@ -106,7 +106,7 @@
 Package: libkf5globalaccelprivate5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Configurable global shortcut support - private runtime library
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
