=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibkf5globalaccel-bin

override_dh_auto_test:
	xvfb-run -a dh_auto_test
