## kglobalaccel 5.107.0

=== debian/changelog ===
kglobalaccel (5.107.0-2) unstable; urgency=medium

  * Team upload.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically, removing pkg-kde-tools
    - drop the manually specified pkgkde_symbolshelper addon for dh
  * Require the qtdeclarative5-dev build dependency every time (and not only
    in <!nocheck> builds), so cmake runs fine in all the cases.
    (Closes: #1023942)
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Jun 2023 07:55:15 +0200

kglobalaccel (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:39 +0200
