=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5crash-dev (>= 5.104.0~),
-               libkf5dbusaddons-dev (>= 5.104.0~),
-               libkf5windowsystem-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.107.0~),
+               libkf5config-dev (>= 5.107.0~),
+               libkf5coreaddons-dev (>= 5.107.0~),
+               libkf5crash-dev (>= 5.107.0~),
+               libkf5dbusaddons-dev (>= 5.107.0~),
+               libkf5windowsystem-dev (>= 5.107.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -22,9 +23,8 @@
                libxcb-xtest0-dev,
                libxcb1-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
-               qtdeclarative5-dev <!nocheck>,
+               qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                xauth <!nocheck>,
