=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5crash-dev (>= 5.109.0~),
-               libkf5dbusaddons-dev (>= 5.109.0~),
-               libkf5windowsystem-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5crash-dev (>= 5.110.0~),
+               libkf5dbusaddons-dev (>= 5.110.0~),
+               libkf5windowsystem-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
