=== debian/changelog ===
kglobalaccel (5.115.0-7) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 24 Nov 2024 09:41:40 +0100

kglobalaccel (5.115.0-7~exp1) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable the kglobalaccel daemon to allow co-instability with Plasma
    6.

  [ Aurélien COUDERC ]
  * Reintroduce libkf5globalaccel-bin as a transitional dummy package
    depending on kglobalacceld, some other KF5 frameworks like kxmlgui need
    it.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Aug 2024 00:43:44 +0200

kglobalaccel (5.115.0-6) unstable; urgency=medium

  * Revert the experimental changes that were uploaded too early. We will need
    this only when we ship Plasma 6 to experimental.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 23:32:07 +0200

kglobalaccel (5.115.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:17:48 +0200

kglobalaccel (5.115.0-4) experimental; urgency=medium

  * Reintroduce libkf5globalaccel-bin as a transitional dummy package
    depending on kglobalacceld, some other KF5 frameworks like kxmlgui need
    it.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 10 Jul 2024 19:32:55 +0200

kglobalaccel (5.115.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable the kglobalaccel daemon to allow co-instability with Plasma 6.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Jun 2024 12:32:45 +0200

kglobalaccel (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:14:39 +0200

kglobalaccel (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:02:01 +0100
