=== debian/control ===
Source: kglobalaccel
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5crash-dev (>= 5.115.0~),
               libkf5dbusaddons-dev (>= 5.115.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kglobalaccel
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel.git
Rules-Requires-Root: no

Package: libkf5globalaccel-bin
Section: oldlibs
Architecture: all
Depends: kglobalacceld,
         ${misc:Depends},
Description: configurable global shortcut support - transitional dummy package
 This is a transitional dummy package.
 .
 The global accelerators daemon is now shipped by the kglobalacceld package
 part of Plasma 6.

Package: libkf5globalaccel-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains data files.

Package: libkf5globalaccel-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel5 (= ${binary:Version}),
         libkf5globalaccelprivate5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5globalaccel-doc (= ${source:Version}),
Description: development files for kglobalaccel
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 Contains development files for kglobalaccel.

Package: libkf5globalaccel-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configurable global shortcut support (documentation)
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5globalaccel5
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kglobalacceld,
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.

Package: libkf5globalaccelprivate5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Configurable global shortcut support - private runtime library
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This library is considered private and must not be used by users of
 KGlobalAccel.
