=== debian/changelog ===
kglobalaccel (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Rename plasma systemd service so libkf5globalaccel-bin does not have
      conflicting files with the new kglobalacceld packages from plasma 6.
    - Disable acc test.
    - Fix lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 09:17:07 +0100

kglobalaccel (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:41:51 +0200

kglobalaccel (5.116.0-0ubuntu3) oracular; urgency=medium

  * Remove testing changelog entry that was not uploaded.

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Jul 2024 08:39:35 +0100

kglobalaccel (5.116.0-0ubuntu2) oracular; urgency=medium

  * Rename plasma systemd service so libkf5globalaccel-bin does not have
    conflicting files with the new kglobalacceld packages from plasma 6.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jul 2024 21:13:29 +0100

kglobalaccel (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:42:07 +0100

kglobalaccel (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:31:27 +0000

kglobalaccel (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:57:35 +0000

kglobalaccel (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:54:41 -0700

kglobalaccel (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:12:42 -0700

kglobalaccel (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:51:04 -0700
