=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: kglobalaccel
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5config-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5crash-dev (>= 5.115.0~),
-               libkf5dbusaddons-dev (>= 5.115.0~),
-               libkf5windowsystem-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5crash-dev (>= 5.116.0~),
+               libkf5dbusaddons-dev (>= 5.116.0~),
+               libkf5windowsystem-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -30,27 +31,31 @@
                qttools5-dev-tools,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kglobalaccel
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
 Rules-Requires-Root: no
 
 Package: libkf5globalaccel-bin
-Section: oldlibs
-Architecture: all
-Depends: kglobalacceld,
+Architecture: any
+Depends: libkf5globalaccel-data (= ${source:Version}),
          ${misc:Depends},
-Description: configurable global shortcut support - transitional dummy package
- This is a transitional dummy package.
+         ${shlibs:Depends},
+Breaks: libkf5globalaccel-data (<< 5.77.0-3~)
+Replaces: libkf5globalaccel-data (<< 5.77.0-3~)
+Description: Configurable global shortcut support.
+ KGlobalAccel allows you to have global accelerators that are
+ independent of the focused window. Unlike regular shortcuts,
+ the application's window does not need focus for them to be
+ activated.
  .
- The global accelerators daemon is now shipped by the kglobalacceld package
- part of Plasma 6.
+ This package contains binaries.
 
 Package: libkf5globalaccel-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Configurable global shortcut support.
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
