=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,13 @@
 	dh $@
 
 override_dh_auto_configure:
+	cp src/runtime/plasma-kglobalaccel.service.in \
+	src/runtime/plasma-kglobalaccel5.service.in
 	dh_auto_configure -- -DBUILD_QCH=ON
 
 override_dh_shlibdeps:
 	dh_shlibdeps -- -xlibkf5globalaccel-bin
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	# Disable auto tests at build time
+	:
